SDL_MainThreadCallback(3type)

NAME
SDL_MainThreadCallback - Callback run on the main thread.

SYNOPSIS
#include <SDL3/SDL_init.h>

typedef void (SDLCALL *SDL_MainThreadCallback)(void *userdata);

FUNCTION PARAMETERS

userdata
    an app-controlled pointer that is passed to the callback.

AVAILABILITY
This datatype is available since SDL 3.2.0.

SEE ALSO
SDL_RunOnMainThread(3)